/* helpmenuitem.h
 * This file is part of Amsam photo cropping program
 * Copyright 2021, 2023, 2024, 2025, 2026 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#ifndef N96_DRAW_helpmenuitem_h
#define N96_DRAW_helpmenuitem_h

typedef struct HelpMenuItem HelpMenuItem;
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include "commongui.h"
#include "commongui.h"
struct HelpMenuItem {
	GtkMenuItem *mni;
	const char *title;
	const char *message;
};
void help_menu_item_construct(HelpMenuItem *this, const char *title, const char *message);
GtkMenuItem * help_menu_item_get_native_widget(HelpMenuItem *this);
void help_menu_item_show(HelpMenuItem *this);
void help_menu_item_on_mni_help_item_activate(GtkMenuItem *widget, void *user_data);
void help_menu_item_destruct(HelpMenuItem *this);

#endif /* N96_DRAW_helpmenuitem_h */
